For Developers
Create SFTP User
POST https://ed.link/api/v2/teams/:team_id/sources/sftp/users
Provisions a new set of SFTP credentials (username, password, and host endpoint) allowing district administrators or automated scripts to securely upload CSV data files.
Permissions
Requires either the sources.create or sources.update system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
Sample Request
const response = await axios.post(
`https://ed.link/api/v2/teams/${team_id}/sources/sftp/users`,
{},
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"username": "edlink_sftp_oakridge_94a2",
"password": "sftp_pw_example_4892bc9184ad",
"host": "sftp.ed.link",
"port": 22
}
}
